Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.toplink.support
Class CommonsLoggingSessionLog904

    java.lang.Object
      oracle.toplink.sessions.DefaultSessionLog
          org.springframework.orm.toplink.support.CommonsLoggingSessionLog904

All Implemented Interfaces:
  Serializable, oracle.toplink.sessions.SessionLog

    public class CommonsLoggingSessionLog904

extends oracle.toplink.sessions.DefaultSessionLog

TopLink 9.0.4 SessionLog implementation that logs through Commons Logging.

The namespace used is "oracle.toplink.session". Fine-grained filtering of log messages, for example through Log4J configuration, is not available on TopLink 9.0.4: Consider upgrading to TopLink 10.1.3 and using the CommonsLoggingSessionLog class instead.

TopLink log entries with exceptions are logged at CL WARN level, TopLink debug log entries at CL TRACE level, and any other log entry at CL DEBUG level. Finer-grained mapping to log levels is unfortunately not possible on TopLink 9.0.4.

Note: This implementation will only actually work on TopLink 9.0.4, as it is built against TopLink's old SessionLog facilities in the `oracle.toplink.sessions` package, which are effectively obsolete (deprecated and bypassed) as of TopLink 10.1.3.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `CommonsLoggingSessionLog`, `DefaultSessionLog`, `LocalSessionFactory.setSessionLog(oracle.toplink.sessions.SessionLog)`, Serialized Form

Field Summary
`static String` | `DEFAULT_SEPARATOR`
`static String` | `NAMESPACE`

Fields inherited from class oracle.toplink.sessions.DefaultSessionLog
`dateFormat, fileName, shouldLogDebug, shouldLogExceptions, shouldLogExceptionStackTrace, shouldPrintConnection, shouldPrintDate, shouldPrintSession, shouldPrintThread, writer`

Fields inherited from interface oracle.toplink.sessions.SessionLog
`ALL, CONFIG, FINE, FINER, FINEST, INFO, OFF, SEVERE, WARNING`

Constructor Summary
`CommonsLoggingSessionLog904()`

Method Summary
`protected String` | `getMessageString(oracle.toplink.sessions.SessionLogEntry entry)` Build the message String for the given log entry, including the supplemental details (session, connection) and the message text.
`String` | `getSeparator()` Return the separator between TopLink's supplemental details (session, connection) and the log message itself.
`protected String` | `getSessionName(oracle.toplink.sessions.Session session)` Return the name to be used for the given Session ("UnitOfWork"/"ServerSession"/"ClientSession"/etc).
`void` | `log(oracle.toplink.sessions.SessionLogEntry entry)`
`void` | `setSeparator(String separator)` Specify the separator between TopLink's supplemental details (session, connection) and the log message itself.

Methods inherited from class oracle.toplink.sessions.DefaultSessionLog
`buildDefaultDateFormat, dontLogDebug, dontLogExceptions, dontLogExceptionStackTrace, dontPrintConnection, dontPrintDate, dontPrintSession, dontPrintThread, getDateFormat, getWriter, getWriterFilename, initialize, initialize, logDebug, logExceptions, logExceptionStackTrace, printConnection, printDate, printSession, printThread, setDateFormat, setShouldLogDebug, setShouldLogExceptions, setShouldLogExceptionStackTrace, setShouldPrintConnection, setShouldPrintDate, setShouldPrintSession, setShouldPrintThread, setWriter, setWriter, shouldLogDebug, shouldLogExceptions, shouldLogExceptionStackTrace, shouldPrintConnection, shouldPrintDate, shouldPrintSession, shouldPrintThread, writeConnection, writeDate, writeMessage, writeSeparator, writeSession, writeThread`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final String NAMESPACE

See Also:
  Constant Field Values

### DEFAULT_SEPARATOR

    public static final String DEFAULT_SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### CommonsLoggingSessionLog904

    public CommonsLoggingSessionLog904()

Method Detail

### setSeparator

    public void setSeparator(String separator)

  Specify the separator between TopLink's supplemental details (session, connection) and the log message itself. Default is "--".

### getSeparator

    public String getSeparator()

  Return the separator between TopLink's supplemental details (session, connection) and the log message itself. Default is "--".

### log

    public void log(oracle.toplink.sessions.SessionLogEntry entry)

  Specified by:
    `log` in interface `oracle.toplink.sessions.SessionLog`
  Overrides:
    `log` in class `oracle.toplink.sessions.DefaultSessionLog`

### getMessageString

    protected String getMessageString(oracle.toplink.sessions.SessionLogEntry entry)

  Build the message String for the given log entry, including the supplemental details (session, connection) and the message text.

  See Also:
    `getSeparator()`

### getSessionName

    protected String getSessionName(oracle.toplink.sessions.Session session)

  Return the name to be used for the given Session ("UnitOfWork"/"ServerSession"/"ClientSession"/etc).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.